"""Перепишіть за допомогою функцій вашу программу "Касир в кінотеатрі", яка буде виконувати наступне:
1. Попросіть користувача ввести свій вік.
- якщо користувачу менше 7 - вивести "Тобі ж <> <>! Де твої батьки?"
- якщо користувачу менше 16 - вивести "Тобі лише <> <>, а це е фільм для дорослих!"
- якщо користувачу більше 65 - вивести "Вам <> <>? Покажіть пенсійне посвідчення!"
- якщо вік користувача містить 7 - вивести "Вам <> <>, вам пощастить"
- у будь-якому іншому випадку - вивести "Незважаючи на те, що вам <> <>, білетів всеодно нема!"
2. Замість <> <> в кожну відповідь підставте значення віку (цифру) та правильну форму слова рік. 
Для будь-якої відповіді форма слова "рік" має відповідати значенню віку користувача 
(1 - рік, 22 - роки, 35 - років і тд...).
 Наприклад :
"Тобі ж 5 років! Де твої батьки?"
"Вам 81 рік? Покажіть пенсійне посвідчення!"
"Незважаючи на те, що вам 42 роки, білетів всеодно нема!"""""


def get_adjective_of_age(age):
    if age == 1:
        return "рік"
    elif age in [2, 3, 4]:
        return "роки"
    else:
        return "років"


def main():
    age = int(input("Введіть ваш вік: "))
    adjective_of_age = get_adjective_of_age(age)

    if age < 7:
        print(f"Тобі ж {age} {adjective_of_age}! Де твої батьки?")
    elif age < 16:
        print(f"Тобі лише {age} {adjective_of_age}, а це фільм для дорослих!")
    elif age > 65:
        print(f"Вам {age} {adjective_of_age}? Покажіть пенсійне посвідчення!")
    elif str(7) in str(age):
        print(f"Вам {age} {adjective_of_age}, вам пощастить")
    else:
        print(f"Незважаючи на те, що вам {age} {adjective_of_age}, білетів всеодно нема!")


if __name__ == "__main__":
    main()
